
Redmine - Defect #21741

Authorized error on download attachment of note

2016-01-16 15:58 - Mostafa Mirmousavi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I updated redmine to version 3.2, and attachments in note not work.

I can download other attachment but when download attachment of note show this error:

You are not authorized to access this page.

 
Environment:

  Redmine version                3.2.0.stable                                        [0/516]

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux-gnu]                 

  Rails version                  4.2.5                                                      

  Environment                    production                                                 

  Database adapter               PostgreSQL                                                 

SCM:                                                                                        

  Subversion                     1.8.8                                                      

  Darcs                          2.8.4                                                      

  Mercurial                      2.8.2                                                      

  Cvs                            1.12.13                                                    

  Bazaar                         2.7.0                                                      

  Git                            2.7.0                                                      

  Filesystem                                                                                

Redmine plugins:                                                                            

  redmine_agile                  1.3.12                                                     

  redmine_ckeditor               1.1.3                                                      

  redmine_contacts               4.0.4                                                      

  redmine_contacts_invoices      4.0.3                                                      

  redmine_graphs                 0.1.0  

History

#1 - 2016-01-18 00:55 - Go MAEDA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

At first, please try again without any plugins.

If the problem persists, could you provide a part of log/production.log when the error occurred?

#2 - 2016-01-19 10:59 - Mostafa Mirmousavi

- File Screenshot from 2016-01-19 13-22-14.png added

- File Screenshot from 2016-01-19 13-27-32.png added

- File Screenshot from 2016-01-19 13-27-47.png added

We must use contacts plugin (redmine crm pro: http://www.redminecrm.com/projects/crm/pages/1) to use send mail and attachment.

#3 - 2016-01-19 12:27 - Go MAEDA

The reason why I asked you to uninstall all plugins is to isolate the cause of the error.

If you cannot uninstall plugins even temporarily, please contact authors of plugins.
#4 - 2016-01-20 08:40 - Mostafa Mirmousavi

I talked with authors of plugin about this problem, and received the response:

Sorry to say this is known problem, we are working on fix for it right now and hope to include it into the next plugin's release.

#5 - 2016-02-13 04:39 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Mostafa Mirmousavi wrote:

I talked with authors of plugin about this problem, and received the response:

Sorry to say this is known problem, we are working on fix for it right now and hope to include it into the next plugin's release.

 

Thanks for the feedback.

It has become clear that the problem is caused by plugins, I am closing this issue.

Files

Screenshot from 2016-01-19 13-27-32.png 40.7 KB 2016-01-19 Mostafa Mirmousavi

Screenshot from 2016-01-19 13-22-14.png 59.1 KB 2016-01-19 Mostafa Mirmousavi

Screenshot from 2016-01-19 13-27-47.png 7.99 KB 2016-01-19 Mostafa Mirmousavi

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

